SKB_ORPHAN_FRAGS(9)

NAME
skb_orphan_frags - orphan the frags contained in a buffer

SYNOPSIS

int skb_orphan_frags(struct sk_buff * skb, gfp_t gfp_mask);

ARGUMENTS

skb
    buffer to orphan frags from

gfp_mask
    allocation mask for replacement pages

DESCRIPTION

For each frag in the SKB which needs a destructor (i.e. has an owner) create a copy of that frag and release the original page by calling the destructor.

COPYRIGHT